apiVersion: kustomize.config.k8s.io/v1beta1
namespace: monitoring
kind: Kustomization
resources:
- central_prometheus.ingress.yaml
- central_prometheus.backend.yaml
- alertmanager.deployment.yaml
- alertmanager.ingress.yaml
- alertmanager.pvc.yaml
- alertmanager.service.yaml
- ../base/

patches:
- path: central_prometheus.service.patch.yaml
  target:
    kind: Service
    name: prometheus-service

configMapGenerator:
- name: prometheus-server-conf
  files:
  - prometheus_config.yml
- name: alertmanager-templates
  files:
  - alertmanager_template.tmpl

secretGenerator:
- name: prometheus-oauth-client
  envs:
  - prometheus-oauth-client.env
- name: alertmanager-config
  files:
  - alertmanager_config.yml

vars:
  - name: ALERTMANAGER_URL
    objref:
      kind: Ingress
      name: alertmanager
      apiVersion: networking.k8s.io/v1
    fieldref:
      fieldpath: spec.rules[0].host

generatorOptions:
  disableNameSuffixHash: true
